summaryrefslogtreecommitdiff
path: root/README
diff options
context:
space:
mode:
authorng0 <ng0@n0.is>2019-03-09 12:13:15 +0000
committerng0 <ng0@n0.is>2019-03-09 12:13:15 +0000
commit53e1d7b8612158d99b7b8ae664573f8987478d7f (patch)
tree986e0f22a137b02e397ad5f616e4e69428f61b81 /README
parent5f7119d93f6868a2e21d23b3df066fb43489b9da (diff)
README
Diffstat (limited to 'README')
-rw-r--r--README55
1 files changed, 36 insertions, 19 deletions
diff --git a/README b/README
index 54e80a524..60d2983ef 100644
--- a/README
+++ b/README
@@ -34,16 +34,19 @@ These are the direct dependencies for running GNUnet:
- libmicrohttpd >= 0.9.42
- libgcrypt >= 1.6
-- libgnurl >= 7.35.0 (recommended, available from https://gnunet.org/en/gnurl.html)
+- libgnurl >= 7.35.0 (recommended, available from
+ https://gnunet.org/en/gnurl.html)
- libcurl >= 7.35.0 (alternative to libgnurl)
- libunistring >= 0.9.2
-- gnutls >= 3.2.12 (highly recommended a gnutls linked against libunbound)
+- gnutls >= 3.2.12 (highly recommended a gnutls
+ linked against libunbound)
- libidn:
- libidn2 (prefered)
or
- libidn >= 1.0
- libextractor >= 0.6.1 (highly recommended)
-- openssl >= 1.0 (binary, used to generate X.509 certificate
+- openssl >= 1.0 (binary, used to generate
+ X.509 certificate
for gnunet-gns-proxy-setup-ca)
- nss (certutil binary, for
gnunet-gns-proxy-setup-ca)
@@ -56,37 +59,50 @@ These are the direct dependencies for running GNUnet:
- make[*3]
- which (contrib/apparmor(?), gnunet-bugreport,
tests (dns, gns, namestore,
- scalarproduct) and possibly more)
+ scalarproduct) and possibly more)
- gettext
- zlib
-
+- Posix shell (for some scripts)
+- Bash (for some scripts)
These are the dependencies for GNUnet's testsuite:
-- Bash (optional (?[*4]), for some tests)
+- Posix Shell (for some tests)
+- Bash (for some tests[*4])
- python >= 3.7 (only python 3.7 is supported)
- python-future >= 3.7 (only python 3.7 is supported)
-- which
+- base tools
+ - mostly:
+ - which,
+ - bc,
+ - curl
+ - sed
These are the optional dependencies:
+- Bash (for Docker and Vagrant)
- libopus >= 1.0.1 (for experimental conversation tool)
- libpulse >= 2.0 (for experimental conversation tool)
- libogg >= 1.3.0 (for experimental conversation tool)
-- libnss (certtool binary (for convenient installation of GNS proxy))
-- python2.7 = 2.7 (for gnunet-qr, only python 2.7 supported)
+- libnss (certtool binary (for convenient
+ installation of GNS proxy))
+- python2.7 = 2.7 (for gnunet-qr, only python 2.7
+ supported)
- python-zbar >= 0.10 (for gnunet-qr, not optional)
- TeX Live >= 2012 (for gnunet-bcd[*])
- texi2mdoc (for automatic mdoc generation [*2])
- libglpk >= 4.45 (for experimental code)
- perl5 (for some utilities)
-- guile 1.6.4 (or later up to 1.8?, for gnunet-download-manager)
+- guile 1.6.4 (or later up to 1.8?, for
+ gnunet-download-manager)
- bluez (for bluetooth support)
- miniupnpc
-- libpbc >= 0.5.14 (for Attribute-Based Encryption and Identity Provider functionality)
-- libgabe (for Attribute-Based Encryption and Identity Provider functionality,
- from https://github.com/schanzen/libgabe)
+- libpbc >= 0.5.14 (for Attribute-Based Encryption and
+ Identity Provider functionality)
+- libgabe (for Attribute-Based Encryption and
+ Identity Provider functionality, from
+ https://github.com/schanzen/libgabe)
Recommended autotools for compiling the Git version are:
@@ -116,16 +132,17 @@ Recommended autotools for compiling the Git version are:
fix in.
[*4] We are commited to portable tools and solutions
- where possible. While the shellscripts work with
- NetBSD's sh, there's no warranty some bashisms
- are leftover.
+ where possible. New scripts should be Posix SH
+ compatible, current and older scripts are
+ in the process of being rewritten to comply
+ with this requirement.
Requirements
============
GNUnet's directed acyclic graph (DAG) will require around 0.74 GiB
-Diskspace, with GNUNet itself taking around 9.2 MiB reported by the
-build on GNU Guix.
+Diskspace, with GNUNet itself taking around 8 - 9.2 MiB reported by
+the build on GNU Guix.
How to install?
===============
@@ -465,7 +482,7 @@ Further Reading
GNUnet or projects around GNUnet.
There are currently 2 ways to get them:
- * Using git:
+ * Using git (NOTE: 1.1 GiB as of 2019-03-09):
git clone https://git.gnunet.org/bibliography.git
* Using Drupal:
https://old.gnunet.org/bibliography